EDIT - bug #7511

LazylnitializationException (LIE) opening Registration Workingset Editor
06/25/2018 12:35 PM - Andreas Kohlbecker

Status: Duplicate Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour

Target version:

Severity: critical Found in Version:

Description
opening the Registration Workingset Editor for

Braun, A., A new Psammothidium species (Bacillariophyta, Achnanthidiaceae) from Cimera Lake (Gredos mountain range), Central
Spain in Cryptog. Algol. 38: 17-29. 2017

http://test.e-taxonomy.eu/cdmserver/phycobank/app/registration#!workingset/3fcb6764-5622-40ea-baff-6e797befleae

Jun 25, 2018 12:32:59 PM com.vaadin.server.DefaultErrorHandler doDefault
SEVERE :
org.hibernate.LazyInitializationException: could not initialize proxy - the owning Session was clo
sed
at org.hibernate.proxy.AbstractlLazyInitializer.initialize (AbstractLazyInitializer.java:151

at org.hibernate.proxy.AbstractLazyInitializer.getImplementation (AbstractLazyInitializer.j
ava:266)

at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.invoke (JavassistLazyInitial
izer.java:68)

at eu.etaxonomy.cdm.model.agent.TeamOrPersonBase_$$_jvstfdf_62.getTitleCache (TeamOrPersonB
ase_S$S$_Jjvstfdf_62.java)

at eu.etaxonomy.cdm.strategy.cache.reference.DefaultReferenceCacheStrategy.getTitleCache (D
efaultReferenceCacheStrategy. java:123)

at eu.etaxonomy.cdm.strategy.cache.reference.DefaultReferenceCacheStrategy.getTitleCache (D
efaultReferenceCacheStrategy. java:l)

at eu.etaxonomy.cdm.model.reference.Reference.getCitation (Reference. java:838)

at eu.etaxonomy.cdm.vaadin.component.registration.RegistrationItemNameAndTypeButtons.<init
> (RegistrationItemNameAndTypeButtons. java:121)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorksetViewBean.putRegistrationLi
stComponent (RegistrationWorksetViewBean. java:283)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorksetViewBean.createRegistratio
nsList (RegistrationWorksetViewBean. java:235)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorksetViewBean.setWorkingset (Reg
istrationWorksetViewBean. java:179)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorkingsetPresenter.applyWorkings
et (RegistrationWorkingsetPresenter.java:216)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorkingsetPresenter.handleViewEnt
ered(RegistrationWorkingsetPresenter.java:211)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorksetViewBean.enter (Registratio
nWorksetViewBean. java:162)

at com.vaadin.navigator.Navigator.navigateTo (Navigator.java:625)

at com.vaadin.navigator.Navigator.navigateTo (Navigator.java:584)

at eu.etaxonomy.vaadin.ui.navigation.NavigationManagerBean.navigateTo (NavigationManagerBea
n.java:144)

at eu.etaxonomy.vaadin.ui.navigation.NavigationManagerBean.onNavigationEvent (NavigationMan
agerBean. java:161)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.vaadin.spring.events.internal.MethodListenerWrapper.publish (MethodListenerWrapper.j
ava:78)

at org.vaadin.spring.events.internal.ListenerCollection.publish(ListenerCollection.java:16
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)

event .ListenerMethod.receiveEvent (ListenerMethod. java:510)

event .EventRouter.fireEvent (EventRouter. java:200)

event .EventRouter.fireEvent (EventRouter. java:163)
server.AbstractClientConnector.fireEvent (AbstractClientConnector.java:1015)
ui.Button.fireClick (Button. java:377)

ui.Button$l.click (Button. java:54)
.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
.Method.invoke (Method. java:498)

.ServerRpcManager.applyInvocation (ServerRpcManager. java:158)
.ServerRpcManager.applyInvocation (ServerRpcManager. java:119)
communication.ServerRpcHandler.handleInvocation (ServerRpcHandler. java

communication.ServerRpcHandler.handleInvocations (ServerRpcHandler. jav

.communication.ServerRpcHandler.handleRpc (ServerRpcHandler. java:273)
communication.UidlRequestHandler.synchronizedHandleRequest (UidlReques

.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHandler. j

.VaadinService.handleRequest (VaadinService. java:1436)
.VaadinServlet.service (VaadinServlet. java:380)
javax.servlet.http.HttpServlet.service (HttpServlet. java:790)

org.eclipse. jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1669)
.access.intercept.FilterSecurityInterceptor.invoke (Filt
.servletapi.SecurityContextHolderAwareRequestFilter.doF

ilter (SecurityContextHolderAwareRequestFilter.java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha

inProxy.java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestC

acheAwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha

inProxy.java:330)
at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterI
nternal (BasicAuthenticationFilter.java:158)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.ocauth2.provider.authentication.OAuth2AuthenticationProcess
ingFilter.doFilter (OAuth2AuthenticationProcessingFilter.java:176)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilt
er.java:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy. java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWrite
rFilter. java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Secu
rityContextPersistenceFilter.java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter
.doFilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. jav
a:213)

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterPro
xy.Jjava:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. jav
a:262)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1652)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodi
ngFilter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:577)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:223)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1127)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:515)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:185)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler. java:1061)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler.java:141)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollecti
on.java:215)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)

at org.eclipse.jetty.server.Server.handle (Server. java:497)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)

at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

at java.lang.Thread.run (Thread. java:748)

Related issues:
Is duplicate of EDIT - bug #7331: AdvancedBeanlnitializer fails to initialize... New
History

#1 - 06/25/2018 01:12 PM - Andreas Kohlbecker

- Is duplicate of bug #7331: AdvancedBeanlnitializer fails to initialize properties of preinitialized beans in the graph in very special situations added

#2 - 06/25/2018 01:12 PM - Andreas Kohlbecker

- Status changed from New to Duplicate

#3 - 08/20/2018 12:55 PM - Andreas Miiller

- Target version deleted (Release 5.1)
